## PlayableTemplar
- Adds the Clay Templar with rebalanced stats and all new skills as a playable survivor
- Includes a toggleable Clay Man enemy

[![](https://cdn.discordapp.com/attachments/469291841859092488/707946201730908178/unknown.png)](https://youtu.be/GG6_gL4lpgQ)

ping me in the modding discord for any feedback/bugs- @rob#2365

## Overview
The Clay Templar is a slow, versatile bruiser with a variety of tools that allow him to handle most threats with ease. His crippling lack of mobility is made up for with extremely strong crowd control, solid sustained damage and good durability.

Minigun, his primary skill, is an extremely powerful source of DPS once ramped up. Using it slows your movement and restricts sprinting, however, you gain bonus armor while using it. This armor is greatly increased while standing still. Due to the high spread and bullet falloff staying mid range is ideal.

Clay Bomb, his secondary, throws  a grenade that detonates and inflicts tar for 4 seconds. This tar slows and can be ignited with certain skills, causing an explosion that deals a portion of the detonating skill's damage. Afterwards enemies will be Scorched for 8 seconds, reducing their armor by 50.

Sidestep, his utility, is a basic dodge that can be used while shooting. Doesn't scale well and is mostly just good for combat.

His special, Bazooka, fires a rocket that deals massive damage in a huge radius and ignites tarred enemies. This is your main tool for detonating tar. Cycling skills properly and using Bazooka to maintain the Scorch debuff on priority targets is key to keeping your damage output up as the Templar. Alternatively you can get tanky and tickle things to death.

## Tips and Tricks
- Bazooka can be aimed at your feet and used to rocket jump with proper timing
- Minigun gives bonus armor and knockback resistance when standing still, making stacking Bustling Fungus an effective strategy
- Tar explosions can detonate nearby tarred enemies, causing an explosive chain reaction that can wipe crowds instantly
- Red Whip can be used while firing Minigun

## Known Issues
- Milky Chrysalis and Crowdfunder don't work due to lack of item displays
- Using Ocular HUD and then primary will give permanent crit even after the buff times out
- Clay Men can't be targeted by anything, and can't be hit by clients in multiplayer

## Changelog
`1.8.0`
- Added Flamethrower primary: deals 1000% damage per second and ignites tar but has low range. credit goes to Tymmey for this one, since his Lemurian mod made me realize how fun flamethrowers are
- Minigun now disables sprint
- Minigun damage increased to 35%
- Minigun stationary armor bonus increased to 150
- Tar detonation damage increased from 25% to 40% of the original hit's damage
- Tar debuff can now be applied to every enemy, even those with an innate immunity
- Clay Bomb throw force increased
- Tar debuff duration increased to 4 seconds
- Scorch debuff duration increased to 8 seconds
- Scorch armor reduction increased from 40 to 50
- Tar Rifle proc coefficient reduced from 0.8 to 0.75
- Tar Rifle fire rate increased
- Possibly fixed Tar Rifle not working for clients, untested however
- Possibly fixed Minigun's stationary armor buff not working for clients, also untested
- Blighted Clay Man spawn cost slightly decreased
- Clay Man Slash damage increased from 250% to 350%
- Clay Man survivor's Dodge skill now deals 200% damage and inflicts tar
- Fixed enemy Clay Templar's Bazooka bypassing oneshot protection
- Fixed Clay Men spamming the console with error messages on death

`1.7.1`
- Forgot to include the dll for last update oops

`1.7.0`
- Rewrote Railgun, added ignite effect
- Lots of Clay Man polish:
- Fixed sprinting animation
- Improved Slash hitbox
- Added a full loadout for the Clay Man survivor, unpolished but functional
- Added character select animation
- Primal Leap can now be cancelled into Slash
- Secondary is unfinished but kinda works for now?

`1.6.6`
- Improved Clay Bomb's throw angle/force and added an animation
- Moved Sidestep to the default utility slot, making Tar Blast the alternate
- Minigun damage reverted back to 30%
- Minigun spread increased
- Tar Rifle proc coefficient reduced to 0.8 from 1.0
- Scorched armor debuff increased from 35 to 40
- Fixed Clay Bomb and Bazooka networking FOR REAL this time
- Tweaked Clay Man a bit:
- Removed the survivor death sound
- Added a leap sound
- They now properly face the direction they're jumping
- Now restricted to certain stages
- Added literally nothing else I swear :_)

`1.6.5`
- Added new skill icons by CRAB!
- Clay Bomb now has interrupt priority over primary
- Fixed Clay Bomb and Bazooka networking issues
- Fixed another mistake in the survivor description
- Fixed most Weapon Swap bugs hopefully
- Fixed bug with Elder Lemurian fireballs using rocket jump logic
- Fixed menu animation
- Nerfed Clay Man damage and health
- Minigun damage reduced to 25%
- Minigun proc coefficient reduced to 0.4
- Minigun max bonus fire rate reduced to 135%
- Minigun armor bonus increased to 75, 100 while stationary
- Sidestep cooldown increased to 7s
- Clay Bomb proc coefficient reduced to 0.8
- Bazooka proc coefficient reduced to 0.8
- Scorch armor reduction increased from 25 to 35

`1.6.3/1.6.4`
- This never happened

`1.6.2`
- Fixed a typo causing Minigun to not function properly
- Fixed a mistake in the survivor description

`1.6.1`
- Added even MORE configuration
- Fixed and reworked tar ignite mechanic
- Igniting tarred enemies now makes an explosion that stuns, deals 1/4 the damage of the hit that procced it, and ignites nearby tarred enemies
- Also applies a new debuff, Scorch, that reduces armor by 25 and prevents explosions from being procced while active
- Added Clay Man as a new toggleable enemy spawn, off by default- acts as a cheaper, weaker Beetle Guard pretty much
- Their only skills are a basic melee attack and a leap
- Hopefully fixed networking issues on Bazooka and Clay Bomb
- Added a toggle to give enemy Clay Templars the new loadout, have fun getting shotgunned to death

`1.6.0`
- Added a lot of new configuration
- Minigun armor bonus changed to 50, increasing to 75 and granting knockback resistance while standing still
- Reduced Minigun damage from 35% to 30%
- Reduced Tar Rifle damage from 60% to 50%, reduced fire rate
- Reduced Bazooka damage from 1000% to 800%
- Reduced Bazooka Mk.2 damage from 750% to 500%
- Added ignite mechanic to Bazooka- accidentally left the tooltip in last version while the mechanic itself wasn't functional
- Added more skill icons
- Added an option to disable Weapon Swap for those who find the skill overpowered
- Be prepared for the Random Jellyfish Event

`1.5.1`
- Added rocket jump
- Minigun top speed increased from 135% to 150%
- Minigun damage reduced from 40% to 35%
- Minigun bonus armor reduced from 200 to 75
- Tar Rifle fire rate decreased
- Some more skill icon polish
- Added new Clay Bomb VFX
- Sidestep updated, no longer cancels sprint and movement logic has been tweaked a bit
- Sidestep cooldown reduced to 5s from 8s
- Base health increased from 160 to 200
- Base damage reduced from 15 to 12
- Damage per level reduced from 3 to 2.4
- Updated description

`1.5.0`
- Added a new VERY IMPORTANT config option
- Updated skill icons
- Updated character color
- Minigun now grants bonus armor while firing
- Renamed default special to Bazooka
- Bazooka damage increased from 750% to 1000%
- Bazooka radius increased from 8 to 16
- Added new Bazooka VFX and cleaned up hitbox
- Bazooka can now be held, and is fired by releasing the special key
- Base crit chance changed to 1 from 0, matching all other survivors
- I cannot stress enough how important the new config option is

`1.4.2`
- Minigun fire rate scaling changed from 50-150% to 75-135%, ramp up speed halved
- Minigun damage reduced from 50% to 40%, proc coefficient reduced from 0.6 to 0.5
- Blunderbuss recharge time reverted to 2.5s, damage increased from 4x80% to 4x100%

`1.4.1`
- Primary attack speed bug fixed
- Minigun fire rate now ramps up over time, starting at 50% the original amount and scaling up to 150%
- Minigun proc coefficient changed to 0.6
- Tar Rifle proc coefficient changed to 1
- Tar Rifle spin up removed
- Blunderbuss pellet count reduced from 12 to 4, recharge time decreased from 2.5s to 2s, spread decreased

`1.4.0`
- Lots of overall polish
- Added some custom skill icons and a new portrait more consistent with other survivors
- Fixed camera params
- Added recoil effect to primary fire
- Primary tooltips now use accurate, non bs numbers
- Primary damage rebalanced, not quite sure how much this affects him so any feedback is helpful
- Tar Rifle damage per shot increased, fire rate decreased, startup time decreased, accuracy slightly decreased, no longer slows movement, new VFX
- Clay Bomb heavily buffed and slightly reworked
- Added heavily WIP secondary- Blunderbuss
- New specials- Rocket Launcher and Weapon Swap
- Rocket Launcher fires a rocket that explodes and deals a bit of damage
- Weapon Swap cycles through primary weapons, a bit buggy but works for now
- Removed borrowed skills

`1.3.0`
- Changed size to match other survivors, this allows him to open the Legendary Chest on Abyssal Depths as well as access the Artifact Portal
- Rebalanced base stats to match that of other survivors
- Added doppelganger stuff
- Added Railgun primary
- Added Shotgun primary
- Added more config options, including one that reverts his size
- Added experimental new special, still not quite sure what I want to do with this skill
- Reworked alt primary
- Sidestep cooldown increased to 8s, now holds 2 charges

`1.2.1`
- Added configuration options
- Buffed default secondary

`1.2.0`
- Added crosshair functionality
- Renamed skills because i'm an idiot apparently
- New secondary and special
- Minigun damage increased
- Precise Minigun damage decreased

`1.1.2`
- Fixed ingame name being "???"

`1.1.1`
- 40 proc coeff was probably a bit too much, reverted

`1.1.0`
- Removed useless accidental minirpc dependency, oops
- Added another alternative m1 with more precise aim
- Increased m1 proc coefficient
- Slightly improved base stats
- Increased size

`1.0.0`
- Initial release

##To Do
- UI functionality for weapon swap
- Item displays?
- Custom sounds